Package groovy.lang

# Class ExpandoMetaClass.ExpandoMetaConstructor

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.ExpandoMetaClass.ExpandoMetaConstructor

All Implemented Interfaces:
  `GroovyObject`

Enclosing class:
  ExpandoMetaClass

protected class ExpandoMetaClass.ExpandoMetaConstructor extends GroovyObjectSupport
Handles the ability to use the left shift operator to append new constructors

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ExpandoMetaConstructor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `leftShift(Closure c)`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `getProperty, invokeMethod, setProperty`

- ## Constructor Details

  - ### ExpandoMetaConstructor

    protected ExpandoMetaConstructor()

- ## Method Details

  - ### leftShift

    public Object leftShift(Closure c)